# AWS Elastic Beanstalk

## إعداد AWS EBS

يمكن أيضًا نشر NGSurvey ضمن أي حزمة AWS EBS في غضون دقائق قليلة باستخدام أحد روابط التثبيت التالية اعتمادًا على ما إذا اخترت تفعيل NGINX reverse proxy في تكوين EBS الخاص بك أم لا.&#x20;

* [حزمة مصدر التثبيت لـ AWS Elastic Beanstalk مع Nginx ممكّن](https://console.aws.amazon.com/elasticbeanstalk/home?region=eu-central-1#/newApplication?applicationName=ngSurvey\&platform=docker\&environmentType=SingleInstance\&withRds=true\&rdsDBEngine=sqlserver-ex\&sourceBundleUrl=https://ngsurvey.s3.eu-central-1.amazonaws.com/ngsurveyeenginx.aws.zip) \
  يقوم بتكوين ngSurvey مع Nginx reverse proxy مُعَد مسبقًا. موصى به.&#x20;

* [حزمة مصدر التثبيت لـ AWS Elastic Beanstalk](https://console.aws.amazon.com/elasticbeanstalk/home?region=eu-central-1#/newApplication?applicationName=ngSurvey\&platform=docker\&environmentType=SingleInstance\&withRds=true\&rdsDBEngine=sqlserver-ex\&sourceBundleUrl=https://ngsurvey.s3.eu-central-1.amazonaws.com/ngsurveyee.aws.zip)\
  يقوم بتكوين ngSurvey بدون تكوين Nginx الافتراضي. يُوصى به فقط إذا كنت لا ترغب في التشغيل خلف reverse proxy أو تريد تكوين Nginx يدويًا.

لنشر ngSurvey على AWS يمكنك الاطلاع على ما يلي [إرشادات خطوة بخطوة](/ar/installation-setup/installation/amazon-web-services/aws-elastic-beanstalk/aws-ebs-step-by-step.md). &#x20;

## موازنة التحميل

إذا كنت تقوم بتشغيل ngSurvey على عدة عقد في الكتلة فتأكد من [قمت بتمكين التخزين المؤقت الموزع](/ar/installation-setup/installation/cluster-scale-out-configuration.md) إذا قمت بتشغيل ngSurvey على عدة مثيلات خادم لتقاسم الحمل.

## إعداد قاعدة البيانات

خارج الصندوق سيقوم ngSurvey تلقائيًا بتكوين / إنشاء / تحديث قاعدة البيانات المحددة في سلسلة الاتصال الخاصة بك. لاحظ أنه إذا قمت بتشغيل الحاوية الخاصة بك تحت AWS فسيقوم ngSurvey تلقائيًا بالتقاط جميع خصائص اتصال RDS.\
\
إذا كنت لا تريد أن يقوم ngSurvey بتحديث قاعدة البيانات تلقائيًا يمكنك إيقاف إعداد قاعدة البيانات التلقائي عن طريق تعيين متغير البيئة NGSurvey:AutoDBSetup إلى false.\
\
إذا فضّلت إجراء إعداد قاعدة البيانات يدويًا يمكنك استخراج ملف DACPAC من دليل app/database داخل أرشيف الحاوية واتباع إجراء تثبيت قاعدة بيانات Microsoft SQL Server.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ngsurvey.com/ar/installation-setup/installation/amazon-web-services/aws-elastic-beanstalk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
